<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AndroidLayouts">
    <shared>
      <config />
    </shared>
  </component>
  <component name="AndroidLogFilters">
    <option name="TOOL_WINDOW_CUSTOM_FILTER" value="Audio" />
    <option name="TOOL_WINDOW_LOG_LEVEL" value="verbose" />
    <option name="TOOL_WINDOW_CONFIGURED_FILTER" value="No Filters" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="ac0cb2e1-b12d-4297-9e42-e283f264d4f4" name="Default Changelist" comment="" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ExecutionTargetManager" SELECTED_TARGET="e8fc6cf0" />
  <component name="ExternalProjectsData">
    <projectState path="$PROJECT_DIR$">
      <ProjectState />
    </projectState>
  </component>
  <component name="ExternalProjectsManager">
    <system id="GRADLE">
      <state>
        <projects_view>
          <tree_state>
            <expand />
            <select />
          </tree_state>
        </projects_view>
      </state>
    </system>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="ProjectId" id="1jBNZ1WChIx1srcwUyCRGnV5KPc" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showExcludedFiles" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="DEBUGGABLE_DEVICE" value="xiaomi-redmi_k30i_5g-e8d005a" />
    <property name="DEBUGGABLE_PROCESS" value="com.maniu.maniurtmpdemo" />
    <property name="DEBUGGER_ID" value="Auto" />
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="SHOW_ALL_PROCESSES" value="false" />
    <property name="android.sdk.path" value="$USER_HOME$/AppData/Local/Android/Sdk" />
    <property name="last_opened_file_path" value="$USER_HOME$/Documents/Tencent Files/1051917835/FileRecv/VideoPush/VideoPush" />
    <property name="project.structure.last.edited" value="SDK Location" />
    <property name="project.structure.proportion" value="0.17" />
    <property name="project.structure.side.proportion" value="0.0" />
    <property name="settings.editor.selected.configurable" value="preferences.lookFeel" />
  </component>
  <component name="RecentsManager">
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.maniu.maniurtmpdemo" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="E:\maniu\ManiuRtmpDemo\app\src\main\cpp\librtmp" />
      <recent name="E:\maniu\ManiuRtmpDemo\app\src\main\cpp" />
    </key>
  </component>
  <component name="RunManager">
    <configuration default="true" type="AndroidJUnit" factoryName="Android JUnit">
      <option name="TEST_OBJECT" value="class" />
      <option name="WORKING_DIRECTORY" value="$MODULE_DIR$" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
    <configuration name="app" type="AndroidRunConfigurationType" factoryName="Android App" activateToolWindowBeforeRun="false">
      <module name="app" />
      <option name="DEPLOY" value="true" />
      <option name="DEPLOY_APK_FROM_BUNDLE" value="false" />
      <option name="DEPLOY_AS_INSTANT" value="false" />
      <option name="ARTIFACT_NAME" value="" />
      <option name="PM_INSTALL_OPTIONS" value="" />
      <option name="DYNAMIC_FEATURES_DISABLED_LIST" value="" />
      <option name="ACTIVITY_EXTRA_FLAGS" value="" />
      <option name="MODE" value="default_activity" />
      <option name="CLEAR_LOGCAT" value="false" />
      <option name="SHOW_LOGCAT_AUTOMATICALLY" value="false" />
      <option name="SKIP_NOOP_APK_INSTALLATIONS" value="true" />
      <option name="FORCE_STOP_RUNNING_APP" value="true" />
      <option name="TARGET_SELECTION_MODE" value="DEVICE_AND_SNAPSHOT_COMBO_BOX" />
      <option name="SELECTED_CLOUD_MATRIX_CONFIGURATION_ID" value="-1" />
      <option name="SELECTED_CLOUD_MATRIX_PROJECT_ID" value="" />
      <option name="DEBUGGER_TYPE" value="Auto" />
      <Auto>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Auto>
      <Hybrid>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Hybrid>
      <Java />
      <Native>
        <option name="USE_JAVA_AWARE_DEBUGGER" value="false" />
        <option name="SHOW_STATIC_VARS" value="true" />
        <option name="WORKING_DIR" value="" />
        <option name="TARGET_LOGGING_CHANNELS" value="lldb process:gdb-remote packets" />
        <option name="SHOW_OPTIMIZED_WARNING" value="true" />
      </Native>
      <Profilers>
        <option name="ADVANCED_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_ENABLED" value="false" />
        <option name="STARTUP_CPU_PROFILING_CONFIGURATION_NAME" value="Sample Java Methods" />
      </Profilers>
      <option name="DEEP_LINK" value="" />
      <option name="ACTIVITY_CLASS" value="" />
      <method v="2">
        <option name="Android.Gradle.BeforeRunTask" enabled="true" />
      </method>
    </configuration>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="ac0cb2e1-b12d-4297-9e42-e283f264d4f4" name="Default Changelist" comment="" />
      <created>1603273576466</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1603273576466</updated>
    </task>
    <servers />
  </component>
  <component name="WindowStateProjectService">
    <state x="369" y="249" key="#PSD" timestamp="1610453774289">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="369" y="249" key="#PSD/0.0.1920.1040/1920.0.1440.860@0.0.1920.1040" timestamp="1610453774289" />
    <state x="369" y="249" key="#PSD/1920.0.1536.832/0.0.1920.1040@0.0.1920.1040" timestamp="1603351938350" />
    <state x="700" y="167" key="#app" timestamp="1609752175915">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="700" y="167" key="#app/0.0.1920.1040/1920.0.1600.860@0.0.1920.1040" timestamp="1609752175915" />
    <state x="737" y="342" key="#com.intellij.fileTypes.FileTypeChooser" timestamp="1607580784386">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="737" y="342" key="#com.intellij.fileTypes.FileTypeChooser/0.0.1920.1040@0.0.1920.1040" timestamp="1607580784386" />
    <state x="765" y="199" key="#com.intellij.ide.util.MemberChooser" timestamp="1610719018052">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="765" y="199" key="#com.intellij.ide.util.MemberChooser/0.0.1920.1040/1920.0.1920.1040@0.0.1920.1040" timestamp="1610719018052" />
    <state x="765" y="199" key="#com.intellij.ide.util.MemberChooser/1920.0.1536.832/0.0.1920.1040@0.0.1920.1040" timestamp="1603276736516" />
    <state x="815" y="279" key="AndroidProcessChooserDialog" timestamp="1607589652283">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="815" y="279" key="AndroidProcessChooserDialog/0.0.1920.1040@0.0.1920.1040" timestamp="1607589652283" />
    <state x="815" y="279" key="AndroidProcessChooserDialog/1920.0.1536.832/0.0.1920.1040@0.0.1920.1040" timestamp="1603278848309" />
    <state x="632" y="272" key="FileChooserDialogImpl" timestamp="1610773552460">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="632" y="272" key="FileChooserDialogImpl/0.0.1920.1040/1920.0.1440.860@0.0.1920.1040" timestamp="1610702857161" />
    <state x="632" y="272" key="FileChooserDialogImpl/0.0.1920.1040/1920.0.1920.1040@0.0.1920.1040" timestamp="1610773552460" />
    <state x="632" y="272" key="FileChooserDialogImpl/0.0.1920.1040@0.0.1920.1040" timestamp="1607591309881" />
    <state x="632" y="272" key="FileChooserDialogImpl/1920.0.1536.832/0.0.1920.1040@0.0.1920.1040" timestamp="1603351821811" />
    <state x="632" y="272" key="FileChooserDialogImpl/1920.0.1920.1040/0.0.1920.1040@0.0.1920.1040" timestamp="1607597578774" />
    <state width="1786" height="88" key="GridCell.Tab.0.bottom" timestamp="1610714019101">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1877" height="96" key="GridCell.Tab.0.bottom/0.0.1920.1040/1920.0.1440.860@0.0.1920.1040" timestamp="1610701214039" />
    <state width="1766" height="188" key="GridCell.Tab.0.bottom/0.0.1920.1040/1920.0.1600.860@0.0.1920.1040" timestamp="1609752621881" />
    <state width="1786" height="88" key="GridCell.Tab.0.bottom/0.0.1920.1040/1920.0.1920.1040@0.0.1920.1040" timestamp="1610714019101" />
    <state width="1340" height="212" key="GridCell.Tab.0.bottom/0.0.1920.1040/1920.0.1920.1040@1920.0.1920.1040" timestamp="1610374800143" />
    <state width="1766" height="319" key="GridCell.Tab.0.bottom/0.0.1920.1040@0.0.1920.1040" timestamp="1607589729001" />
    <state width="1860" height="268" key="GridCell.Tab.0.bottom/1920.0.1536.832/0.0.1920.1040@0.0.1920.1040" timestamp="1603279832179" />
    <state width="1493" height="274" key="GridCell.Tab.0.bottom/1920.0.1536.832/0.0.1920.1040@1920.0.1536.832" timestamp="1603280125477" />
    <state width="1559" height="357" key="GridCell.Tab.0.bottom/1920.0.1920.1040/0.0.1920.1040@0.0.1920.1040" timestamp="1606392030067" />
    <state width="1786" height="88" key="GridCell.Tab.0.center" timestamp="1610714019099">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1877" height="96" key="GridCell.Tab.0.center/0.0.1920.1040/1920.0.1440.860@0.0.1920.1040" timestamp="1610701214039" />
    <state width="1766" height="188" key="GridCell.Tab.0.center/0.0.1920.1040/1920.0.1600.860@0.0.1920.1040" timestamp="1609752621881" />
    <state width="1786" height="88" key="GridCell.Tab.0.center/0.0.1920.1040/1920.0.1920.1040@0.0.1920.1040" timestamp="1610714019099" />
    <state width="1340" height="212" key="GridCell.Tab.0.center/0.0.1920.1040/1920.0.1920.1040@1920.0.1920.1040" timestamp="1610374800143" />
    <state width="1766" height="319" key="GridCell.Tab.0.center/0.0.1920.1040@0.0.1920.1040" timestamp="1607589729000" />
    <state width="1860" height="268" key="GridCell.Tab.0.center/1920.0.1536.832/0.0.1920.1040@0.0.1920.1040" timestamp="1603279832179" />
    <state width="1493" height="274" key="GridCell.Tab.0.center/1920.0.1536.832/0.0.1920.1040@1920.0.1536.832" timestamp="1603280125477" />
    <state width="1559" height="357" key="GridCell.Tab.0.center/1920.0.1920.1040/0.0.1920.1040@0.0.1920.1040" timestamp="1606392030067" />
    <state width="1786" height="88" key="GridCell.Tab.0.left" timestamp="1610714019093">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1877" height="96" key="GridCell.Tab.0.left/0.0.1920.1040/1920.0.1440.860@0.0.1920.1040" timestamp="1610701214038" />
    <state width="1766" height="188" key="GridCell.Tab.0.left/0.0.1920.1040/1920.0.1600.860@0.0.1920.1040" timestamp="1609752621881" />
    <state width="1786" height="88" key="GridCell.Tab.0.left/0.0.1920.1040/1920.0.1920.1040@0.0.1920.1040" timestamp="1610714019093" />
    <state width="1340" height="212" key="GridCell.Tab.0.left/0.0.1920.1040/1920.0.1920.1040@1920.0.1920.1040" timestamp="1610374800143" />
    <state width="1766" height="319" key="GridCell.Tab.0.left/0.0.1920.1040@0.0.1920.1040" timestamp="1607589729000" />
    <state width="1860" height="268" key="GridCell.Tab.0.left/1920.0.1536.832/0.0.1920.1040@0.0.1920.1040" timestamp="1603279832179" />
    <state width="1493" height="274" key="GridCell.Tab.0.left/1920.0.1536.832/0.0.1920.1040@1920.0.1536.832" timestamp="1603280125477" />
    <state width="1559" height="357" key="GridCell.Tab.0.left/1920.0.1920.1040/0.0.1920.1040@0.0.1920.1040" timestamp="1606392030066" />
    <state width="1786" height="88" key="GridCell.Tab.0.right" timestamp="1610714019100">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="1877" height="96" key="GridCell.Tab.0.right/0.0.1920.1040/1920.0.1440.860@0.0.1920.1040" timestamp="1610701214039" />
    <state width="1766" height="188" key="GridCell.Tab.0.right/0.0.1920.1040/1920.0.1600.860@0.0.1920.1040" timestamp="1609752621881" />
    <state width="1786" height="88" key="GridCell.Tab.0.right/0.0.1920.1040/1920.0.1920.1040@0.0.1920.1040" timestamp="1610714019100" />
    <state width="1340" height="212" key="GridCell.Tab.0.right/0.0.1920.1040/1920.0.1920.1040@1920.0.1920.1040" timestamp="1610374800143" />
    <state width="1766" height="319" key="GridCell.Tab.0.right/0.0.1920.1040@0.0.1920.1040" timestamp="1607589729001" />
    <state width="1860" height="268" key="GridCell.Tab.0.right/1920.0.1536.832/0.0.1920.1040@0.0.1920.1040" timestamp="1603279832179" />
    <state width="1493" height="274" key="GridCell.Tab.0.right/1920.0.1536.832/0.0.1920.1040@1920.0.1536.832" timestamp="1603280125477" />
    <state width="1559" height="357" key="GridCell.Tab.0.right/1920.0.1920.1040/0.0.1920.1040@0.0.1920.1040" timestamp="1606392030067" />
    <state x="353" y="159" key="SettingsEditor" timestamp="1603351812282">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="353" y="159" key="SettingsEditor/1920.0.1536.832/0.0.1920.1040@0.0.1920.1040" timestamp="1603351812282" />
    <state width="498" height="446" key="SwitcherDM" timestamp="1607599243860">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state width="498" height="446" key="SwitcherDM/1920.0.1920.1040/0.0.1920.1040@0.0.1920.1040" timestamp="1607599243860" />
    <state x="791" y="400" key="com.intellij.ide.util.TipDialog" timestamp="1610713084104">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="791" y="400" key="com.intellij.ide.util.TipDialog/0.0.1920.1040/1920.0.1920.1040@0.0.1920.1040" timestamp="1610713084104" />
    <state x="2553" y="320" key="com.intellij.ide.util.TipDialog/1920.0.1536.832/0.0.1920.1040@1920.0.1536.832" timestamp="1603351798348" />
    <state x="791" y="400" key="com.intellij.ide.util.TipDialog/1920.0.1920.1040/0.0.1920.1040@0.0.1920.1040" timestamp="1607424556334" />
    <state x="670" y="256" key="run.anything.popup" timestamp="1610718709406">
      <screen x="0" y="0" width="1920" height="1040" />
    </state>
    <state x="670" y="256" key="run.anything.popup/0.0.1920.1040/1920.0.1920.1040@0.0.1920.1040" timestamp="1610718709406" />
    <state x="2590" y="256" key="run.anything.popup/1920.0.1920.1040/0.0.1920.1040@1920.0.1920.1040" timestamp="1606399258568" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <line-breakpoint enabled="true" suspend="THREAD" type="com.jetbrains.cidr.execution.debugger.OCBreakpointType">
          <url>file://$PROJECT_DIR$/app/src/main/cpp/native-lib.cpp</url>
          <line>207</line>
          <option name="timeStamp" value="1" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/maniu/maniurtmpdemo/VideoCodec.java</url>
          <line>40</line>
          <option name="timeStamp" value="2" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/maniu/maniurtmpdemo/MainActivity.java</url>
          <line>58</line>
          <option name="timeStamp" value="3" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/maniu/maniurtmpdemo/MainActivity.java</url>
          <line>72</line>
          <option name="timeStamp" value="4" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="java-line">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/maniu/maniurtmpdemo/MainActivity.java</url>
          <line>64</line>
          <option name="timeStamp" value="5" />
        </line-breakpoint>
        <line-breakpoint enabled="true" suspend="THREAD" type="java-field">
          <url>file://$PROJECT_DIR$/app/src/main/java/com/maniu/maniurtmpdemo/RTMPPackage.java</url>
          <line>6</line>
          <properties field="type" class="com.maniu.maniurtmpdemo.RTMPPackage" />
          <option name="timeStamp" value="6" />
        </line-breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
</project>